package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AsalProduk;
import com.jasamedika.medifirst2000.entities.HargaNettoProdukByKelas;
import com.jasamedika.medifirst2000.helper.Caption;

public class PlanningDiklatHumasMarketBiayaVO extends BaseTransactionVO {

	@Caption(value = "No Planning")
	private String noPlanning;

	@Caption(value = "Tanggal Planning")
	private Date tglPlanning;

	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Produk")
	private ProdukVO produk;

	@Caption(value = "Quantity Produk")
	private Double qtyProduk;

	@Caption(value = "Harga Satuan")
	private Double hargaSatuan;

	@Caption(value = "Persen Diskon")
	private Double persenDiskon;

	@Caption(value = "Harga Diskon")
	private Double hargaDiskon;

	@Caption(value = "Harga PPN")
	private Double hargaPPN;

	@Caption(value = "Harga PPH")
	private Double hargaPPH;

	@Caption(value = "Harga Tambahan")
	private Double hargaTambahan;

	@Caption(value = "Is In Out")
	private Byte isInOut;

	@Caption(value = "No Struk")
	private String noStruk;

	@Caption(value = "No Verifikasi")
	private String noVerifikasi;

	@Caption(value = "No Retur")
	private String noRetur;

	@Caption(value = "Keterangan Lainnya")
	private String keterangan;

	@Caption(value = "Deskripsi Detail Produk")
	private String deskripsiDetailProduk;

	@Caption(value = "Kd Produk DHM")
	private String kdProdukDHM;
	
	//add by iwankasan
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Asal Produk")
	private AsalProdukVO asalProduk;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Produk By Class Harga")
	private HargaNettoProdukByKelasVO produkKelas;
	
	@Caption(value = "Apakah Biaya dibebankan sama peserta")
	private Boolean isSetBiayaPeserta;	
	
	public HargaNettoProdukByKelasVO getProdukKelas() {
		return produkKelas;
	}

	public void setProdukKelas(HargaNettoProdukByKelasVO produkKelas) {
		this.produkKelas = produkKelas;
	}

	public String getNoPlanning() {
		return noPlanning;
	}

	public void setNoPlanning(String noPlanning) {
		this.noPlanning = noPlanning;
	}

	public Date getTglPlanning() {
		return tglPlanning;
	}

	public void setTglPlanning(Date tglPlanning) {
		this.tglPlanning = tglPlanning;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public ProdukVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	public Double getQtyProduk() {
		return qtyProduk;
	}

	public void setQtyProduk(Double qtyProduk) {
		this.qtyProduk = qtyProduk;
	}

	public Double getHargaSatuan() {
		return hargaSatuan;
	}

	public void setHargaSatuan(Double hargaSatuan) {
		this.hargaSatuan = hargaSatuan;
	}

	public Double getPersenDiskon() {
		return persenDiskon;
	}

	public void setPersenDiskon(Double persenDiskon) {
		this.persenDiskon = persenDiskon;
	}

	public Double getHargaDiskon() {
		return hargaDiskon;
	}

	public void setHargaDiskon(Double hargaDiskon) {
		this.hargaDiskon = hargaDiskon;
	}

	public Double getHargaPPN() {
		return hargaPPN;
	}

	public void setHargaPPN(Double hargaPPN) {
		this.hargaPPN = hargaPPN;
	}

	public Double getHargaPPH() {
		return hargaPPH;
	}

	public void setHargaPPH(Double hargaPPH) {
		this.hargaPPH = hargaPPH;
	}

	public Double getHargaTambahan() {
		return hargaTambahan;
	}

	public void setHargaTambahan(Double hargaTambahan) {
		this.hargaTambahan = hargaTambahan;
	}

	public Byte getIsInOut() {
		return isInOut;
	}

	public void setIsInOut(Byte isInOut) {
		this.isInOut = isInOut;
	}

	public String getNoStruk() {
		return noStruk;
	}

	public void setNoStruk(String noStruk) {
		this.noStruk = noStruk;
	}

	public String getNoVerifikasi() {
		return noVerifikasi;
	}

	public void setNoVerifikasi(String noVerifikasi) {
		this.noVerifikasi = noVerifikasi;
	}

	public String getNoRetur() {
		return noRetur;
	}

	public void setNoRetur(String noRetur) {
		this.noRetur = noRetur;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public String getDeskripsiDetailProduk() {
		return deskripsiDetailProduk;
	}

	public void setDeskripsiDetailProduk(String deskripsiDetailProduk) {
		this.deskripsiDetailProduk = deskripsiDetailProduk;
	}

	public String getKdProdukDHM() {
		return kdProdukDHM;
	}

	public void setKdProdukDHM(String kdProdukDHM) {
		this.kdProdukDHM = kdProdukDHM;
	}


	public AsalProdukVO getAsalProduk() {
		return asalProduk;
	}

	public void setAsalProduk(AsalProdukVO asalProduk) {
		this.asalProduk = asalProduk;
	}

	public Boolean getIsSetBiayaPeserta() {
		return isSetBiayaPeserta;
	}

	public void setIsSetBiayaPeserta(Boolean isSetBiayaPeserta) {
		this.isSetBiayaPeserta = isSetBiayaPeserta;
	}


	
}
